<?php


namespace Drupal\ultimate_cron_views\Plugin\views\field;

use Drupal\views\Plugin\views\field\FieldPluginBase;
use Drupal\views\ResultRow;

/**
 * Class CronLogJobDuration
 *
 * @ViewsField("cron_log_job_duration")
 */
class CronLogJobDuration extends FieldPluginBase {

  /**
   * {@inheritdoc}
   */
  public function render(ResultRow $values) {

    $duration = 0;

    if (isset($values->ultimate_cron_log_start_time) && isset($values->ultimate_cron_log_end_time)) {
      $duration = $values->ultimate_cron_log_end_time - $values->ultimate_cron_log_start_time;
    }

    return [
      '#markup' => number_format(round($duration, 3), 3, '.', ''),
    ];

  }

  /**
   * {@inheritdoc}
   */
  public function query() {
    // This function exists to override parent query function.
    // Do nothing.
  }

}
